[med-svn] [primer3] 01/01: autopktest added

Canberk Koç cbk-guest at moszumanska.debian.org
Sun Jun 26 03:38:25 UTC 2016


This is an automated email from the git hooks/post-receive script.

cbk-guest pushed a commit to branch master
in repository primer3.

commit 00aad3da5547667df560fdadc169efc4230dd1ac
Author: cbk-guest <cbk-guests at scm.alioth.debian.org>
Date:   Sun Jun 26 06:38:14 2016 +0300

    autopktest added
---
 debian/changelog           |  8 ++++++--
 debian/rules               | 10 ++++++++++
 debian/tests/control       |  3 +++
 debian/tests/run-unit-test | 39 +++++++++++++++++++++++++++++++++++++++
 4 files changed, 58 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 655a693..ec12b21 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,12 @@
 primer3 (2.3.7-2) UNRELEASED; urgency=medium
-
+  * Team Upload
+  [ Andreas Tille ]
   * Moved packaging from SVN to Git
 
- -- Andreas Tille <tille at debian.org>  Thu, 10 Mar 2016 19:58:20 +0100
+  [ Canberk Koç ]
+  * Autopkgtest added
+
+ -- Canberk Koç <canberkkoc at gmail.com>  Sun, 26 Jun 2016 06:32:31 +0300
 
 primer3 (2.3.7-1) unstable; urgency=medium
 
diff --git a/debian/rules b/debian/rules
index 7145d38..b6bf6b2 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,8 +1,18 @@
 #!/usr/bin/make -f
 
+DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+sampledir:=$(CURDIR)/debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/examples
+
 %:
 	dh $@ --sourcedirectory=src
 
 override_dh_auto_test:
 	dh_auto_test --sourcedirectory=test
 
+override_dh_installexamples:
+	dh_installexamples
+	mkdir -p $(sampledir)/test;
+	mkdir -p $(sampledir)/src;
+	cp -aR ./test/* $(sampledir)/test;
+	cp -aR ./src/humrep_and_simple.txt $(sampledir)/src;
+	cp primer*.txt $(sampledir)/;
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..8e779e6
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: valgrind, @
+Restrictions:
diff --git a/debian/tests/run-unit-test b/debian/tests/run-unit-test
new file mode 100644
index 0000000..e2efb2f
--- /dev/null
+++ b/debian/tests/run-unit-test
@@ -0,0 +1,39 @@
+#!/bin/bash
+set -e
+
+pkg="primer3"
+TESTOPTS="/usr/bin/valgrind"
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* $AUTOPKGTEST_TMP
+
+cd $AUTOPKGTEST_TMP
+
+find . -name "*.gz" -exec gunzip \{\} \;
+ls
+ln -s /usr/bin/primer3_core ./src/primer3_core
+ln -s /usr/bin/ntdpal ./src/ntdpal
+ln -s /usr/bin/ntthal ./src/ntthal
+ln -s /usr/bin/oligotm ./src/oligotm
+
+cd test/;
+
+echo "testcmdline:"
+perl cmdline_test.pl ${TESTOPTS};
+
+echo "testcore:"
+echo; echo; echo 'TESTING primer3_core'; echo; perl p3test.pl ${TESTOPTS};
+
+echo "testdpal:"
+echo; echo; echo 'TESTING ALIGNMENT CALCS'; echo; perl dpal_test.pl ${TESTOPTS}; 
+
+echo "testthal:"
+echo; echo; echo 'TESTING THERMODYNAMIC ALIGNMENT CALCS'; echo; perl thal_test.pl ${TESTOPTS};
+
+echo "testtm:"
+perl oligotm_test.pl ${TESTOPTS}
+
+echo "PASS"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/primer3.git



More information about the debian-med-commit mailing list